#pragma once

#include <sstream>

#include <RobotAPI/libraries/aron/core/navigator/visitors/DataVisitor.h>


namespace armarx::aron
{

    class DataDisplayVisitor : public aron::visitor::DataVisitor
    {
    public:

        static std::string getValue(DataNavigator& n);


    public:

        std::stringstream value;


        bool visitEnter(DictDataNavigator& n) override;
        bool visitEnter(ListDataNavigator& n) override;

        bool visit(BoolDataNavigator& b) override;
        bool visit(DoubleDataNavigator& n) override;
        bool visit(FloatDataNavigator& n) override;
        bool visit(IntDataNavigator& n) override;
        bool visit(LongDataNavigator& n) override;
        bool visit(StringDataNavigator& n) override;

        bool visit(NDArrayDataNavigator& n) override;

    };

}
